#include <bits/stdc++.h>
using namespace std;

int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(0);

    int n, l;
    cin >> n >> l;
    int indeks = -1;
    for(int i = 0; i < n; i++) {
        int visina;
        cin >> visina;
        if(visina <= l && indeks == -1) {
            indeks = i + 1;
        }
    }
    cout << indeks << endl;

    return 0;
}